//form div	
div.text{
	position:relative;
	input[type=text],
	input[type=number],
	input[type=password],
	textarea{		
		resize                 :vertical;
		margin                 : 5px 0px 5px 0px;
		padding                : 0px;
		
		border-radius          : 4px;
		border                 : 2px solid #CECCCC;
		
		display                : block;		
		width                  : -moz-calc(100% - 13px - 38px );
		width                  : calc(100% - 13px - 38px) ;			
		
		font-weight            : normal;
		-webkit-font-smoothing : antialiased;
		font-family            : $font_family;
		color                  : $graydark_bold;
		
		-webkit-transition     : border-color 0.3s ease-in-out;
		-moz-transition        : border-color 0.3s ease-in-out;
		transition             : border-color 0.3s ease-in-out;
		
		
		padding-left           : 12px;
		padding-top            : 8px;
		padding-bottom         : 8px;
		padding-right          : 38px;		
		
		
		
		position               : relative;
		
		&.error{			
			border-color : $red;
		}				
		&.valid{						
			border-color: $blue;
			& ~ i{
				color   : $blue;	
				opacity : 1;
				&.visible{	
					opacity : 1;	
					color   : $blue;	
				}				
			}
		}
		&.inactive{
			border-color:#CECCCC;	
		}

		&:focus{	
			border-color :#2EB6EC;
			outline      : none;
		}	
	}
		
	i{		
		font-size 		   : 18px;
		-webkit-transition : all 0.3s ease-in-out;
		-moz-transition    : all 0.3s ease-in-out;
		transition         : all 0.3s ease-in-out;
			
		z-index            : 2;
		position           : absolute;	
		top                : 8px;		
		right              : 4px;
		opacity            : 0;		
		&.visible{	
			opacity : 1;		
			color   : #BFBFBF;
		}		
	}	
}

